=== debian/changelog ===
hotplug (0.0.20010228-3) unstable; urgency=low

  * fix typo in usb.agent, closes: #92317

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  1 Apr 2001 00:53:00 +0900

hotplug (0.0.20010228-2) unstable; urgency=low

  * change dependency:
    - ifupdown, usbutils are downgraded to Recommends:
    - pciutils is added to Recommends:
    suggested by HAYASE Shigenori <shayase@tky3.3web.ne.jp>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 14 Mar 2001 12:03:33 +0900

hotplug (0.0.20010228-1) unstable; urgency=low

  * new upstream version
  * move /etc/hotplug/usb.option to /etc/default/hotplug.usb

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  4 Mar 2001 05:26:11 +0900

hotplug (0.0.20010214-4) unstable; urgency=HIGH

  * (postinst) fix syntax error near unexpected token `fi'

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 25 Feb 2001 19:22:27 +0900

hotplug (0.0.20010214-3) unstable; urgency=low

  * (config,postinst) change debconf
    check capability multiselect
  * (control) add build-depends:, closes: Bug#86800

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 24 Feb 2001 05:12:42 +0900

hotplug (0.0.20010214-2) unstable; urgency=low

  * Initial public release. closes: Bug#86213

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 20:45:56 +0900

hotplug (0.0.20010214-1.1) unstable; urgency=low

  * add dh_installdebconf
  * (etc/hotplug/usb.rc) fix "ls: /proc/bus/usb: No such file or directory"

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 04:08:04 +0900

hotplug (0.0.20010214-1) unstable; urgency=low

  * New upstream release
  * (debian/rules) use sed instead of modify original source
  * (debian/control) depends ifupdown, usbutils, gawk
  * not change #!/bin/bash to #!/bin/sh, because these scripts have some bashism
  * use debconf

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 02:23:28 +0900

hotplug (0.0.20010123-1) unstable; urgency=low

  * Initial Release.
  * /etc/sysconfig/usb in original source is moved to
    /etc/hotplug/usb.option .

 -- HAYASE Shigenori <shayase@tky3.3web.ne.jp>  Sat, 27 Jan 2001 13:34:53 +0900

Local variables:
mode: debian-changelog
End:
