=== debian/control ===
Source: hotplug
Section: admin
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.2.1
Build-Depends: debhelper

Package: hotplug
Architecture: all
Depends: modutils (>= 2.4.2), debconf (>= 0.2.26)
Recommends: ifupdown, usbutils, pciutils
Conflicts: usbmgr
Replaces: usbmgr
Description: Linux Hotplug Scripts
 This package contains the scripts necessary for hotplug Linux support,
 and lets you plug in new devices and use them immediately.
 Initially, it includes support for USB and PCI (Cardbus) devices, 
 and can automatically configure network interfaces.
