=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

DEBFIX=sed -e 's:sysconfig/usb:default/hotplug.usb:'

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install --mode=744 sbin/hotplug debian/tmp/sbin/hotplug
	install --mode=644 etc/hotplug/usb.*map debian/tmp/etc/hotplug
	# hotplug.functions is not executable shell script...
	(echo '#'; cat etc/hotplug/hotplug.functions) \
	  > debian/tmp/etc/hotplug/hotplug.functions
	for agent in etc/hotplug/*.agent etc/hotplug/usb.rc; \
	do \
	    ${DEBFIX} $$agent > debian/tmp/$$agent && \
	    chmod 755 debian/tmp/$$agent; \
	done

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	${DEBFIX} README > debian/tmp/usr/share/doc/hotplug/README
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented hotplug.8
	dh_installchangelogs ChangeLog
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
